#include <string.h>		// strcpy

//include system files
#include "system.h"					// ClassOf() definition

#include "c64.h"

// declarations are below, definitions for linkage are in system.h
extern char *HaveFile = 0;			// index list of held games
extern char *DatFile = 0;			// database name
extern char **szExt = 0;			// list of approved extensions
extern CImage *(*ClassOf)		( int index, char *image, unsigned size ) = 0;

static unsigned cur_ext;

unsigned InitSystem(char *szSystem) {
	int iRet;
	cur_ext = 0;

	switch(szSystem[0]) {
	case 'c':
		HaveFile	= C64HaveFile;
		DatFile		= C64DatFile;
		ClassOf		= C64ClassOf;
		szExt = C64Ext;
		// Init(C64HaveFile, C64DatFile, C64ClassOf, C64Ext);
		// Also need to set fprintfSYS = fprintfPET
		iRet = 1;
		break;
//	case 'a':
//		HaveFile = AmigaHaveFile;
//		DatFile = AmigaDatFile;
//		ClassOf = AmigaClassOf;
		// set fprintfSys
//		iRet = 1;
//		break;
	default:
		// error message
		//error code
		iRet = 0;			//not initialised
		break;
	}
	return iRet;
}

unsigned GetExtensions(char *szext) {

	if(!szExt)
		return 0;

	cur_ext++;

	if(szExt[cur_ext][0]) {
		szext[0] = '*';
		szext++;
		strcpy(szext, szExt[cur_ext]);
	} else {
		cur_ext = 0;
		szext[0] = '\0';
	}
	return cur_ext;
}
